require 'rubygems'
require 'bundler/setup'

require 'rack'

app_root = File.dirname __FILE__
$:.unshift app_root unless $:.include? app_root

app_env = ENV['RACK_ENV'] || 'development'

# initialize stuff:

# initialize script manager
require 'server/script_manager'
DontExplain::ScriptManager.initialize! app_env

# serve static files
use Rack::Static, :urls => [ '/js/ext', '/images' ], :root => 'public'

# run app
require 'server/content_server'
run DontExplain::ContentServer

