require 'sinatra'
require 'coffee_script'

module DontExplain
  class ContentServer < Sinatra::Base

    set :views, 'layout'

    get '/' do
      haml :chrome
    end

    get '/styles/main.css' do
      content_type 'text/css'

      # TODO: precompile
      sass File.read 'styles/main.sass'
    end

    get '/js/:name.:type' do
      content_type 'text/javascript'

      sanitized_name = params[:name].gsub /[^a-z0-9\-]/i, ''
      CoffeeScript.compile File.read "client/#{sanitized_name}.coffee"
    end

  end
end

