require 'json'

module DontExplain
  class ScriptManager
    class << self
      attr_accessor :src_paths
    end

    def self.initialize! app_env
      scripts = JSON.parse File.read 'config/scripts.json'

      if app_env == 'development'
        self.src_paths = scripts.map{ |script| '/js/' + (script['development'] || script) }
      else
        self.src_paths = scripts.map{ |script| script['production'] }.compact
        self.src_paths.push '/js/dontexplain.js'
      end
    end
  end
end

